import { IteratorMethodType } from './types';
import { DoublyLinkedListNode } from '../../linked-list-node';
import { LinkedListDataStructure } from '../../raw-linked-list';
import { Entry } from '../../traits';
declare function createNextFn<T>(rawLinkedList: LinkedListDataStructure<T>, iterableState: {
    count: number;
    current?: DoublyLinkedListNode<T>;
}, kind: IteratorMethodType): () => {
    value: number | T | Entry<T>;
    done: boolean;
};
export { createNextFn };
