import { IteratorMethodType } from './types';
import { Entry } from '../../traits';
import { LinkedListDataStructure } from '../../raw-linked-list';
declare function generateIterator<T = any>(kind: IteratorMethodType.values, rawLinkedList: LinkedListDataStructure<T>): Iterable<T> & Iterator<T>;
declare function generateIterator<T = any>(kind: IteratorMethodType.keys, rawLinkedList: LinkedListDataStructure<T>): Iterable<number> & Iterator<number>;
declare function generateIterator<T = any>(kind: IteratorMethodType.entries, rawLinkedList: LinkedListDataStructure<T>): Iterable<Entry<T>> & Iterator<Entry<T>>;
export { generateIterator };
